[SailfishDevel] Harbour: Rejections clarify

Mikael Hermansson mike at 7b4.se
Thu Jan 2 22:02:43 UTC 2014


It really is kinda frustrated whats allowed and not. Don't get me wrong but I hope 
more Qt stuff is allowed ASAP(like QtBlutooth module and QtSystem, NFC and 
some kind of crypto library) 

Now URadio is not allowed anymore and the only change was localstorage is used 
in new version? Rejected because I had dependies on:

ERROR [gst-plugins-good] Dependency not allowed ERROR 
[qt5-qtdeclarative-import-localstorageplugin] Dependency not allowed ERROR 
[qt5-qtmultimedia] Dependency not allowed ERROR 
[qt5-qtmultimedia-plugin-mediaservice-gstmediaplayer] Dependency not allowed

now I can understand that gst-plugins-good was rejected because its not on the 
list but the others? (Notice gst*  was okey first version...) actually I think that lib is 
on the phone but not in emulator...

But It seems to me Required field in yaml file should *not be used* is that the 
case? Please clarify this?

and what about line:

sailfishsilica-qt5 >= 0.10.9 (not sure if I added this or if autoadded?)

now should this still be left in the reuquires? Because I remember first time I 
installed it on my phone(s) both n9(with sail) and  my Jolla cried about missing  
"libsailfishapp.so"?

Don't get me wrong I know people working hard get this working just kinda 
frustrated atm.

Kindly regards

Mikael


-- 
Skickat från Lenovo Thinkpad X230 running Kubuntu desktop
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.sailfishos.org/pipermail/devel/attachments/20140102/3593be89/attachment.html>


More information about the Devel mailing list